<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class SiteBacklinkBackgroundTask extends BackgroundTask
{
    protected $taskId = "siteBacklink";
    private $httpClient;
    
    protected function loadItems()
    {
        $c = new Criteria();
        $c->add("returnBond", "", "!=");
        $this->items = $this->site->findAll($c, "siteId, url, returnBond");        
    }
    
    protected function beforeParsing()
    {
        $this->httpClient = new HttpClient();
    }
    
    protected function parseItem($site)
    {
        $backlinkExists = ($this->httpClient->checkBacklinkOnSite($site['returnBond'], Config::get("siteRootUrl"))) ? 1 : 0;
        $this->site->updateByPk(array("backlinkExists" => $backlinkExists), $site['siteId']);
    }
    
    protected function afterParsing()
    {
        Mailer::getInstance()->sendSiteBacklinkTaskFinished();
    }
}
        
?>