<?php
session_start();
error_reporting(E_ALL);
$_SESSION['selectedLanguage'] = $_POST['selectedLanguage']; 

require_once('languages/' . $_SESSION['selectedLanguage'] . '.php'); 

/* collect configuration information to display */
$siteRootUrl = $_POST['siteRootUrl'];

clearstatcache(); 
ob_start();
phpinfo();
$phpinfo = ob_get_clean();

$_SESSION['siteRootUrl'] = $siteRootUrl;

$phpVersion = phpversion();
$phpVersionCorrect = version_compare($phpVersion, "5.1", ">="); 

$mysqlIndicator = !(strpos($phpinfo, '<a name="module_mysql">mysql</a>') === false);

$phpinfoTestModRewrite = @fopen($siteRootUrl . 'install/info.html', 'r');

$modRewriteIndicator = !(strpos($phpinfo, 'mod_rewrite') === false) || ($phpinfoTestModRewrite != false);

$xmlIndicator = !(strpos($phpinfo, '<tr><td class="e">DOM/XML </td><td class="v">enabled </td></tr>') === false);

$gdIndicator = !(strpos($phpinfo, '<td class="e">GD Support </td><td class="v">enabled </td>') === false);
         
         
$cacheDirWritable = (@chmod('../cache/', 0777) != 0);
$saveDirWritable = (@chmod('../save/', 0777) != 0); 
             
$imagesCategoriesDirWritable =  (@chmod('../uploads/images_categories/', 0777) != 0);
$imagesThumbsDirWritable = (@chmod('../uploads/images_thumbs/', 0777) != 0);

$configDirWritable = (@chmod('../config/', 0777) != 0);
$compiledDirWritable = (@chmod('../compiled/', 0777) != 0);  

function showYesNoSpan($param)
{
    global $language;
    
    if($param)
      return '<span class="text_green_bold">'.$language['Yes'].'</span>';
    else
      return '<span class="text_red_bold">'.$language['No'].'</span>'; 

}
?>


<?php
$chemin_includes_header = 'includes/';
include_once($chemin_includes_header.'header.php'); 
?>

<div class="title_h_1">
<h1><?=$language['Arfooo Directory PHP/MYSQL setup']?></h1>
</div>
<div class="column_in">
<?=$language['Welcome to the setup of Arfooo Directory.']?><br /><br />
<?=$language['The script PHP/MySQL Arfooo Directory is an open source software distributed free under the']?> <a href="<?=$language['http://creativecommons.org/licenses/by/2.0/']?>" target="_blank" class="link_orange"><?=$language['Creative Commons License']?></a> <?=$language['to which must be added the additional terms below']?> :<br /><br />
- <?=$language['It is mandatory to keep the backlink to Arfooo.com found in the foot of the page and each page on your directory.']?><br />
- <?=$language['The link should be back in this form: "Powered by']?> <a href="<?=$language['http://www.arfooo.com/']?>" title="<?=$language['Directory for seo']?>" target="_blank" class="link_orange"><?=$language['Arfooo Directory']?></a> ."<br /><br />
<?=$language['Simply follow the steps for installing and getting the necessary information.']?><br /><br />
<?=$language['Thank you for choosing Arfooo Directory.']?><br />
<?=$language['We wish you a good installation.']?>
</div>

<div class="title_h_2_out">
<div class="title_h_2">
<h2><?=$language['PHP, Libraries, Modules']?></h2>
</div>
</div>
<div class="column_in_table2">
<table class="table3" cellspacing="1">
<col class="col1" /><col class="col2" />
<tbody>
<tr class="line1">
	<td><?=$language['PHP version']?>: </td>
	<td><span class="text_<?= $phpVersionCorrect ? "green" : "red"?>_bold"><?= $phpVersion ?></span></td>
</tr>
<tr class="line2">
	<td><?=$language['MySQL is Present']?>: </td>
	<td><?=showYesNoSpan($mysqlIndicator)?></td>
</tr>
<tr class="line1">
	<td><?=$language['XML is Present']?>: </td>
	<td><?=showYesNoSpan($xmlIndicator)?></td>
</tr>
<tr class="line2">
	<td><?=$language['GD is Present']?>: </td>
	<td><?=showYesNoSpan($gdIndicator)?></td>
</tr>
<tr class="line1">
	<td><?=$language['mod_rewrite is Present']?>: </td>
	<td><?=showYesNoSpan($modRewriteIndicator)?></span></td>
</tr>
</tbody>
</table>
</div>

<div class="title_h_2_out">
<div class="title_h_2">
<h2><?=$language['Permissions']?></h2>
</div>
</div>
<div class="column_in_table2">
<table class="table3" cellspacing="1">
<col class="col1" /><col class="col2" />
<tbody>                                  
<tr class="line1">
	<td><?=$language['The cache/ directory is writable']?>: </td>
	<td><?=showYesNoSpan($cacheDirWritable)?></td>
</tr>
<tr class="line2">
	<td><?=$language['The save/ directory is writable']?>: </td>
	<td><?=showYesNoSpan($compiledDirWritable)?></td>
</tr>
<tr class="line1">
	<td><?=$language['The uploads/images_categories/ directory is writable']?>: </td>
	<td><?=showYesNoSpan($imagesCategoriesDirWritable)?></td>
</tr>
<tr class="line2">
	<td><?=$language['The uploads/images_thumbs/ directory is writable']?>: </td>
	<td><?=showYesNoSpan($imagesThumbsDirWritable)?></td>
</tr>
<tr class="line1">
    <td><?=$language['The compiled/ directory is writable']?>: </td>
    <td><?=showYesNoSpan($compiledDirWritable)?></td>
</tr>
<tr class="line2">
	<td><?=$language['The config/db.php is writable']?>: </td>
	<td><?=showYesNoSpan($configDirWritable)?></td>
</tr>
</tbody>
</table>
</div>

<form action="step3.php" method="post">
<div class="column_in_button" align="center">
<input type="submit" class="button" value="<?=$language['Continue']?>" />
</div>
</form>

<?php
$chemin_includes_footer = 'includes/';
include_once($chemin_includes_footer.'footer.php'); 
?>